// ------------------------------------------------------------------------
// Simple CAN Shield Test
// ------------------------------------------------------------------------
#include "mcp_can.h"
#include <SPI.h>

MCP_CAN CAN0(9);    // Set CS to pin 9/10
                    // Use pin 10 for Seeed Studio CAN Shield up to version 1.0
                    // Use pin 10 for SK Pang CAN Shield
                    // Use pin 9 for Seeed Studio CAN shiled version 1.1 and higher

unsigned char stmp[8] = {0x30, 0x31, 0x32, 0x33, 0x34, 0x35, 0x36, 0x37}; // Test message

// ------------------------------------------------------------------------
//  SYSTEM: Setup routine runs on power-up or reset
// ------------------------------------------------------------------------
void setup() {
  
  // Set the serial interface baud rate
  Serial.begin(9600);
  
    // Initialize the CAN controller
  if (CAN0.begin(CAN_250KBPS) == CAN_OK)  // Baud rates defined in mcp_can_dfs.h
    Serial.print("CAN Init OK.\n\r\n\r");
  else
    Serial.print("CAN Init Failed.\n\r");
  
}// end setup

// ------------------------------------------------------------------------
// Main Loop - Arduino Entry Point
// ------------------------------------------------------------------------
void loop() 
{
  // Send out a test message
  // Send data:  id = 0x1FF, extended frame, data len = 8, stmp: data buf
  CAN0.sendMsgBuf(0x1FF, CAN_EXTID, 8, stmp);  // ID mode (11/29 bit) defined in mcp_can_dfs.h
  
  // Run in 1 sec interval
  delay(1000);
  
}// end loop


